com.io7m.smfj.processing.main

## Class SMFMemoryMeshFilterCheckConfiguration.Builder

- java.lang.Object
- - com.io7m.smfj.processing.main.SMFMemoryMeshFilterCheckConfiguration.Builder

- Enclosing class:
    SMFMemoryMeshFilterCheckConfiguration

      public static final class SMFMemoryMeshFilterCheckConfiguration.Builder
      extends Object

  Builds instances of type `SMFMemoryMeshFilterCheckConfiguration`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFMemoryMeshFilterCheckConfiguration` | `build()` Builds a new `SMFMemoryMeshFilterCheckConfiguration`.
    `SMFMemoryMeshFilterCheckConfiguration.Builder` | `from(SMFMemoryMeshFilterCheckConfigurationType instance)` Fill a builder with attribute values from the provided `SMFMemoryMeshFilterCheckConfigurationType` instance.
    `SMFMemoryMeshFilterCheckConfiguration.Builder` | `setComponentCount(int componentCount)` Initializes the optional value `componentCount` to componentCount.
    `SMFMemoryMeshFilterCheckConfiguration.Builder` | `setComponentCount(OptionalInt componentCount)` Initializes the optional value `componentCount` to componentCount.
    `SMFMemoryMeshFilterCheckConfiguration.Builder` | `setComponentSize(int componentSize)` Initializes the optional value `componentSize` to componentSize.
    `SMFMemoryMeshFilterCheckConfiguration.Builder` | `setComponentSize(OptionalInt componentSize)` Initializes the optional value `componentSize` to componentSize.
    `SMFMemoryMeshFilterCheckConfiguration.Builder` | `setComponentType(Optional<? extends SMFComponentType> componentType)` Initializes the optional value `componentType` to componentType.
    `SMFMemoryMeshFilterCheckConfiguration.Builder` | `setComponentType(SMFComponentType componentType)` Initializes the optional value `componentType` to componentType.
    `SMFMemoryMeshFilterCheckConfiguration.Builder` | `setName(SMFAttributeName name)` Initializes the value for the `name` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFMemoryMeshFilterCheckConfiguration.Builder from(SMFMemoryMeshFilterCheckConfigurationType instance)

      Fill a builder with attribute values from the provided `SMFMemoryMeshFilterCheckConfigurationType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setName

          public final SMFMemoryMeshFilterCheckConfiguration.Builder setName(SMFAttributeName name)

      Initializes the value for the `name` attribute.
      Parameters:
        `name` - The value for name
      Returns:
        `this` builder for use in a chained invocation

    - #### setComponentType

          public final SMFMemoryMeshFilterCheckConfiguration.Builder setComponentType(SMFComponentType componentType)

      Initializes the optional value `componentType` to componentType.
      Parameters:
        `componentType` - The value for componentType
      Returns:
        `this` builder for chained invocation

    - #### setComponentType

          public final SMFMemoryMeshFilterCheckConfiguration.Builder setComponentType(Optional<? extends SMFComponentType> componentType)

      Initializes the optional value `componentType` to componentType.
      Parameters:
        `componentType` - The value for componentType
      Returns:
        `this` builder for use in a chained invocation

    - #### setComponentCount

          public final SMFMemoryMeshFilterCheckConfiguration.Builder setComponentCount(int componentCount)

      Initializes the optional value `componentCount` to componentCount.
      Parameters:
        `componentCount` - The value for componentCount
      Returns:
        `this` builder for chained invocation

    - #### setComponentCount

          public final SMFMemoryMeshFilterCheckConfiguration.Builder setComponentCount(OptionalInt componentCount)

      Initializes the optional value `componentCount` to componentCount.
      Parameters:
        `componentCount` - The value for componentCount
      Returns:
        `this` builder for use in a chained invocation

    - #### setComponentSize

          public final SMFMemoryMeshFilterCheckConfiguration.Builder setComponentSize(int componentSize)

      Initializes the optional value `componentSize` to componentSize.
      Parameters:
        `componentSize` - The value for componentSize
      Returns:
        `this` builder for chained invocation

    - #### setComponentSize

          public final SMFMemoryMeshFilterCheckConfiguration.Builder setComponentSize(OptionalInt componentSize)

      Initializes the optional value `componentSize` to componentSize.
      Parameters:
        `componentSize` - The value for componentSize
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFMemoryMeshFilterCheckConfiguration build()

      Builds a new `SMFMemoryMeshFilterCheckConfiguration`.
      Returns:
        An immutable instance of SMFMemoryMeshFilterCheckConfiguration
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com